Bug 89770 - mouse freezes as soon as the X server starts
mouse freezes as soon as the X server starts
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-27 23:28 EDT by simon.greaves
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-28 04:54:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description simon.greaves 2003-04-27 23:28:27 EDT
Description of problem:

Recently upgraded from PIII to P4, switching from an Intel (i815 based) mobo to
an AOpen one (SiS650 chipset). Most the other hardware is the same, including
the mouse and video card (nVidia GeForce2). X worked flawlessly with the PIII,
but with the P4, most of the time the mouse is frozen as soon as the X server
starts. Sometimes restarting just the X server (Ctrl-Alt-BS) is enough to get it
working, sometimes a reboot is required, often many reboots are required,
sometimes with a real 'power-off-at-wall'. Mouse is a PS2 wheel mouse (also by
AOpen) which works every time with gpm. If I boot to runlevel 3, gpm works. Then
I use startx, mouse freezes. Quit X, gpm works again. /dev/mouse is a symlink to
/dev/psaux, I've tried explicitly stopping gpm before starting the server, no
change. I tried using both the XFree86 nVidia driver and nVidia's own, no
change. Previously I had set the mouse protocol as 'imps/2', I tried using
'auto' as the mouse protocol instead, doesn't seem to make much difference. I
also tried using the 'repeater' mode of gpm which also doesn't help. Nothing in
the logfiles.

On the rare occasion the mouse does work, it works flawlessly. Needless to say,
rebooting to windows, the mouse works perfectly every time.


Version-Release number of selected component (if applicable):

XFree86-4.2.0-8

How reproducible:
For me, very. 


Steps to Reproduce:
1. Start X server - either boot to runlevel 5 or runlevel 3 then startx
2.
3.
    
Actual results:
Mouse freezes solid immediately

Expected results:
Mouse moves X pointer

Additional info:
Comment 1 Mike A. Harris 2003-04-28 04:54:27 EDT
Bugzilla is not a place for technical support questions such as this.
Please join one of Red Hat's mailing lists and ask for help there
instead.

Note You need to log in before you can comment on or make changes to this bug.